From c24dbb51b1493fd3df4971807f22f96395a6c74c Mon Sep 17 00:00:00 2001
From: Karel Gardas <kgardas@objectsecurity.com>
Date: Thu, 2 Jun 2011 21:32:32 +0200
Subject: [PATCH 03/21] with gcc, use the '-pthread' compiler flag (Michael
 Haubenwallner)

darcs-hash:902d6ed926df488126fd6e39ee6847b9081f88fb
---
 configure.in | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/configure.in b/configure.in
index 024556a..3d8b903 100644
--- a/configure.in
+++ b/configure.in
@@ -524,7 +524,19 @@ if test X"$platform_supports_threads" = Xno; then
       )
       AC_CHECK_HEADERS(semaphore.h)
       AC_DEFINE(HAVE_PTHREADS)
+      case "${GXX}:${target}" in
+      yes:*solaris*|yes:*sunos*)
+        CXXFLAGS="-pthreads ${CXXFLAGS}"
+        LDFLAGS="-pthreads ${LDFLAGS}"
+	;;
+      yes:*)
+	CXXFLAGS="-pthread ${CXXFLAGS}"
+	LDFLAGS="-pthread ${LDFLAGS}"
+	;;
+      *)
       SHLIBS="-lpthread"
+      ;;
+      esac
     else 
       AC_CHECK_LIB(c_r, pthread_create, use_pthreads=yes, use_pthreads=no)
       if test X"$use_pthreads" = Xyes; then

